local _G = getfenv(0)

function Skinner:RecipeBook()

	self:keepRegions(RecipeBookOptions_SharingFrame, {1,2,3})
	self:keepRegions(RecipeBookOptions_DD_GuildShare, {4,5})
	self:keepRegions(RecipeBookOptions_DD_OtherShare, {4,5})
	self:keepRegions(RecipeBookOptions_DD_FriendShare, {4,5})
	self:keepRegions(RecipeBookOptions_CollectionFrame, {1,2,3})
	self:keepRegions(RecipeBookOptions_AuctionFrame, {1,2,3,4,5})
	self:keepRegions(RecipeBookOptions_GeneralFrame, {1,2,3})
	self:keepRegions(RecipeBook_OptionsFrame, {11})
	self:moveObject(RecipeBook_OptionsFrame_TitleText, nil, nil, "-", 6)
	self:applySkin(RecipeBook_OptionsFrame, true)

	self:keepRegions(RecipeBook_OptionsFrameTab1, {7,8})
	self:keepRegions(RecipeBook_OptionsFrameTab2, {7,8})
	self:keepRegions(RecipeBook_OptionsFrameTab3, {7,8})
	self:keepRegions(RecipeBook_OptionsFrameTab4, {7,8})
	self:moveObject(RecipeBook_OptionsFrameTab2, "+", 10, nil, nil)
	self:moveObject(RecipeBook_OptionsFrameTab3, "+", 10, nil, nil)
	self:moveObject(RecipeBook_OptionsFrameTab4, "+", 10, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(RecipeBook_OptionsFrameTab1, nil, 0)
	else self:applySkin(RecipeBook_OptionsFrameTab1) end
	if self.db.profile.TexturedTab then self:applySkin(RecipeBook_OptionsFrameTab2, nil, 0)
	else self:applySkin(RecipeBook_OptionsFrameTab2) end
	if self.db.profile.TexturedTab then self:applySkin(RecipeBook_OptionsFrameTab3, nil, 0)
	else self:applySkin(RecipeBook_OptionsFrameTab3) end
	if self.db.profile.TexturedTab then self:applySkin(RecipeBook_OptionsFrameTab4, nil, 0)
	else self:applySkin(RecipeBook_OptionsFrameTab4) end

	if self.db.profile.TexturedTab then
		self:setActiveTab(RecipeBook_OptionsFrameTab1)
		self:setInactiveTab(RecipeBook_OptionsFrameTab2)
		self:setInactiveTab(RecipeBook_OptionsFrameTab3)
		self:setInactiveTab(RecipeBook_OptionsFrameTab4)
		self:SecureHook("RecipeBook_OptionsFrame_OnUpdate", function()
			self:setInactiveTab(RecipeBook_OptionsFrameTab1)
			self:setInactiveTab(RecipeBook_OptionsFrameTab2)
			self:setInactiveTab(RecipeBook_OptionsFrameTab3)
			self:setInactiveTab(RecipeBook_OptionsFrameTab4)
			self:setActiveTab(_G["RecipeBook_OptionsFrameTab"..RecipeBook_OptionsFrame.selectedTab])
			end)
	end
	
	self:applySkin(RecipeBook_SearchFrame)
	self:applySkin(RecipeBook_SearchResultsFrame)
	self:removeRegions(RecipeBook_SearchResults_ScrollFrame)
	self:skinScrollBar(RecipeBook_SearchResults_ScrollFrame)
	
	self:skinTooltip(RecipeBookSearchTooltip)

end
